[evolvis-commits] r10479: Only try to restart running apache↵

mirabilos at evolvis.org mirabilos at evolvis.org
Thu Feb 24 17:49:23 CET 2011


Author: mirabilos
Date: 2011-02-24 17:49:23 +0100 (Thu, 24 Feb 2011)
New Revision: 10479

Modified:
   trunk/gforge_base/evolvisforge-5.1/gforge/utils/install-apache.sh
Log:
Only try to restart running apache


Modified: trunk/gforge_base/evolvisforge-5.1/gforge/utils/install-apache.sh
===================================================================
--- trunk/gforge_base/evolvisforge-5.1/gforge/utils/install-apache.sh	2011-02-24 16:49:23 UTC (rev 10478)
+++ trunk/gforge_base/evolvisforge-5.1/gforge/utils/install-apache.sh	2011-02-24 16:49:23 UTC (rev 10479)
@@ -173,9 +173,6 @@
 					[ ! -e /etc/$flavour/conf.d/gforge.httpd.conf ] && ln -s $GFORGE_ETC_LIST /etc/$flavour/conf.d/gforge.httpd.conf
 				fi
 			fi
-			if [ -x /usr/sbin/$flavour ]; then
-				invoke-rc.d $flavour restart || true
-			fi
 		done
 	fi
 	# do configuring for apache2, loop through flavours not necessary
@@ -197,10 +194,22 @@
 					[ ! -e /etc/$flavour/conf.d/gforge.httpd.conf ] && ln -s $GFORGE_ETC_LIST /etc/$flavour/conf.d/gforge.httpd.conf
 				fi
 			fi
+		done
+	fi
+	# Check apache 2 is running
+	test -f /etc/default/apache2 && . /etc/default/apache2
+	if [ "$NO_START" != "0" ]; then
+		for flavour in apache apache-perl apache-ssl ; do
 			if [ -x /usr/sbin/$flavour ]; then
 				invoke-rc.d $flavour restart || true
 			fi
 		done
+	else
+		for flavour in apache2 ;  do
+			if [ -x /usr/sbin/$flavour ]; then
+				invoke-rc.d $flavour restart || true
+			fi
+		done
 	fi
 	;;
 



More information about the evolvis-commits mailing list